Subject: Clarification needed

From: "Ramana Divvi" <[email-masked]>
Date: Mon, 2 Dec 2002 10:18:22 +0530

Hi

I am new to the DataCom related protocols, I have small confusion in IPv4
and TCP headers.
All we know IHL ( IPv4 Header length  field in  IPv4 header) and
ataOffset( field in  TCP header)  are  four(4 bit) bit fields.
IHL              ------>  IHL is the Total IPv4 header length, maximum is 15
( 15x4 = 60 bytes) ----refer RFC 791
DataOffset   ------>  DataOffset is total TCP header size ( in simple words)
, maximum is 15 ( 15x4 = 60 bytes) ----refer RFC 793
From above two, combined TCP/IP header maximum length is 120 bytes.
But in RFC 1144 (page 13) , it was defined as 128 bytes. Is it correct? If
so please clarify the same.
If I am wrong please correct me.

Thanks in advance.
With Kind Regards,
Ramana Divvi.

***************************************************************************
This message is proprietary to Future Software Limited (FSL) 
and is intended solely for the use of the individual to whom it
is addressed. It may contain  privileged or confidential information 
and should not be circulated or used for any purpose other than for 
what it is intended. 

If you have received this message in error, please notify the
originator immediately. If you are not the intended recipient,
you are notified that you are strictly prohibited from using,
copying, altering, or disclosing the contents of this message. 
FSL accepts no responsibility for loss or damage arising from 
the use of the information transmitted by this email including
damage from virus.
***************************************************************************

---

From: [email-masked]
Date: Mon, 02 Dec 2002 03:28:53 -0500

> From above two, combined TCP/IP header maximum length is 120 bytes.

Correct.

> so please clarify the same.

No.  You need a 128 octet buffer *for the compressed header*. The hint is
"since the output packet can be larger than the input packet".  Contemplate the
algorithm, and see if you can see what states will cause the 120 byte header to
require 128 bytes after "compression".

-- 
				Valdis Kletnieks
				Computer Systems Senior Engineer
				Virginia Tech

---

From: "Ramana Divvi" <[email-masked]>
Date: Mon, 2 Dec 2002 14:21:56 +0530

Hi Valdis,
Thanks for your reply.
Still I am not clear with the explanation given.
Why we need 8 bytes extra space?
I will agree with the statement  "since the output packet can be larger than
the input packet" but it never exceed standard allowed maximum header
length( 120 bytes).
Hope you got my problem about extra 8 bytes space. If I am wrong please
correct me.

With Kind Regards,
Ramana.

 -----Original Message-----
From: 	[email-masked] [mailto:[email-masked]]
Sent:	Monday, 2 December 2002 1:59 PM
To:	[email-masked]
Cc:	[email-masked]
Subject:	Re: Clarification needed

Correct.

No.  You need a 128 octet buffer *for the compressed header*. The hint is
"since the output packet can be larger than the input packet".  Contemplate
the
algorithm, and see if you can see what states will cause the 120 byte header
to
require 128 bytes after "compression".

---

From: "Ramana Divvi" <[email-masked]>
Date: Mon, 2 Dec 2002 15:18:16 +0530

Hi All,

Anything behind these numbers "64 and 128" as specified in RFC 1144 [page
19]

" Each slot must be large enough to hold a maximum length TCP/IP header 128
{ The maximum header length, fixed by the protocol design, is 64
bytes of IP and 64 bytes of TCP} "

Regards,
Ramana.

 -----Original Message-----
From: 	[email-masked] [mailto:[email-masked]]  On Behalf Of
[email-masked]
Sent:	Monday, 2 December 2002 1:59 PM
To:	[email-masked]
Cc:	[email-masked]
Subject:	Re: Clarification needed

Correct.